#!/bin/bash

// Signal the system that the power has changed
test -x /etc/apm/apmd_proxy && /etc/apm/apmd_proxy change power

// Support some limited hot swapping for the BAT1 drive bay
if test "$2" = "BAT1"; then
  if acpi -V -s 2>/dev/null | grep 'Battery 2: slot empty' >/dev/null; then
    (count=10
    while acpi -V -s | grep 'Battery 2: slot empty'; do
      idectl 1 on
      if test -d /proc/ide/hdc; then
        exit
      fi
      count="$[$count-1]"
      if test "$count" -le 0; then
        exit
      fi
      sleep 1
    done ) </dev/null >/dev/null 2>&1 &
  else
    idectl 1 off
  fi
fi
